<template>
  <form action="" @submit.prevent="submit">
    <b-row>
      <b-col>
        <b-form-input type="text" v-model="username" :placeholder="_('Имя пользователя')" />
      </b-col>
    </b-row>
    <b-row>
      <b-col>
        <b-form-input type="password" v-model="password" :placeholder="_('Пароль')" />
      </b-col>
    </b-row>
    <b-row>
      <b-col>
        <b-button type="submit" variant="primary" :disabled="!formValid">{{_('Войти')}}</b-button>
      </b-col>
    </b-row>
  </form>
</template>

<script>
import { AUTH_LOGIN } from '../data/actions-types'

export default {
  name: 'LoginForm',
  data () {
    return {
      username: '',
      password: '',
      isLock: false
    }
  },
  computed: {
    formValid () {
      return this.username !== '' && this.password !== '' && !this.isLock
    }
  },
  methods: {
    submit () {
      this.isLock = true
      this.$store.dispatch(AUTH_LOGIN, { username: this.username, password: this.password }).then((response) => {
        this.isLock = false
      })
    }
  }
}
</script>

<style scoped>
input {
  width: 100%;
}
</style>
